void read_frame(int ghost)
{
   /* Reads a frame from the receiver's memory */
   int  row = 0;
   int  col = 0;

   iic_start();
   iic_write(EUROCCT_WRITE);
   iic_write(8); /* Start at register 8 */
   iic_write(0); /* R8 : Chapter - A12 inactive */
   iic_write(0); /* R9 : Row */
   iic_write(0); /* R10: Column */
   iic_stop();

   /* Read the data */
   iic_start();
   iic_write(EUROCCT_READ);

   for (row = 0; row < 24; row++)
   {
      for (col = 0; col < 40; col++)
      {
         if ( (row == 23) && (col == 39) )
         {
            /* Last byte, don't ack it */
            data[col][row] = iic_read(FALSE);
         }
         else
         {
            /* First or middle byte(s), ack it */
            data[col][row] = iic_read(TRUE);
         }
      }
   }
   iic_stop();

   return;
}
