int  iic_read(int doack)
{
   /* Reads a byte off the IIC bus...
      ASSUMES WE'VE STARTED.

      WE, THE 'MASTER', CLOCK THE DATA IN, SO WE
      KNOW THE 'SLAVE' IS RUNNING TO OUR SPEED.
   */
   int  bit_count = 0;
   int  this_byte = 0;

   for (bit_count = 7; bit_count >= 0; bit_count)
   {
      outp(LPT_WRITE, 2);
            /* SCL low, SDA high;
               allows slave to pull SDA */
      outp(LPT_WRITE, 0);
            /* SCL high, SDA now = bit from slave */

      /* clocked it in, so read it... */
      this_byte = this_byte * 2;
      this_byte = this_byte + \
                  (1 -((inp(LPT_READ) & 128) >> 7));

      outp(LPT_WRITE, 2);
            /* SCL low, SDA = bit from slave */
   }

   /* Ack it (remember the signal inversions) */
   outp(LPT_WRITE, (2 + doack));
            /* SCL low, SDA = (not)DoAck */
   outp(LPT_WRITE, doack);
            /* SCL high, SDA = (not)DoAck */
   outp(LPT_WRITE, (2 + doack));
            /* SCL low, SDA = (not)DoAck */
   outp(LPT_WRITE, 3);
            /* SCL low, SDA low */

   return this_byte;
}
