void iic_write(int value)
{
   /* Writes a byte to the IIC bus...
      ASSUMES WE'VE STARTED.          */

   int  bit_count = 0;
   int  bit  = 0;
   int  ack = 0;

   for (bit_count = 7; bit_count >= 0; bit_count)
   {
      this_bit = ((value & 128) >> 7);
      outp(LPT_WRITE, ((1 - this_bit) + 2) );
                          /* SDA = bit, SCL low  */
      outp(LPT_WRITE, (1 - this_bit));
                          /* SDA = bit, SCL high */
      value = ((value & 127) * 2);
                          /* Set up for next bit */
      outp(LPT_WRITE, ((1 - this_bit) + 2) );
                          /* SDA = bit, SCL low  */
   }

   /* Fake ninth bit, for Ack */
   outp(LPT_WRITE, 2);    /* SDA high, SCL low   */
   outp(LPT_WRITE, 0);    /* SDA high, SCL low   */
   ack = 1-((inp(LPT_READ) & 128) >> 7);
   /* Tidy up, but we dont clock it */
   outp(LPT_WRITE, 2);    /* SDA high, SCL low   */
   outp(LPT_WRITE, 3);    /* SDA low, SCL low    */

   if (ack != 0)
   {
      printf("No acknowledge from IIC device.\n");
      /* Clear IIC bus */
      outp(LPT_WRITE, 0);
      exit(EXIT_FAILURE);
   }
   return;
}
